--- title: "GetRuleGroupList" slug: "management-cloudinsight-getrulegrouplist" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getrulegrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetRuleGroupList Available in Classic and VPC Get the list of all event rules. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/rule/group/ruleGrp/query | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `pageSize` | Integer | Required | Page output count | | `pageNum` | Integer | Required | Page number | | `search` | String | Optional | Query keyword | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/ruleGrp/query' \ --header 'x-ncp-iam-access-key: {x-ncp-iam-access-key}' \ --header 'x-ncp-apigw-timestamp: {x-ncp-apigw-timestamp}' \ --header 'x-ncp-apigw-signature-v2: {x-ncp-apigw-signature-v2}' \ --header 'Content-Type: application/json' \ --data '{ "prodKey": "**********", "pageSize": 3, "pageNum": 1, "search": "" }' ``` ## Response This section describes the response format. ### Response body For more information on the fields related to the event rule information, see [RuleGroupItemDto](/docs/en/common-vapidatatype-cirulegroupitemdto). ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNum": 1, "pageSize": 3, "ruleGroups": [ { "cfTriggers": [], "cfTriggersOptions": {}, "createTime": **********, "detailUrl": "**********", "domainCode": "PUB", "groupDesc": "Create an event rule for 20241202.", "groupName": "20241202-createRuleGroup", "id": "**********", "metrics": [], "metricsGroups": [ { "createTime": **********, "domainCode": "PUB", "groupDesc": "This is a metric group (template) for server usage as of 20241202.", "groupName": "20241202 - server usage", "id": "**********", "idDimension": "resourceId", "metrics": [ { "calculation": "AVG", "condition": "GT", "dimensions": [ { "dim": "type", "val": "svr" } ], "duration": 1, "eventLevel": "INFO", "metric": "bucket_size", "metricGroupItemId": "**********", "options": { "Min1": [ "AVG" ], "Min5": [ "AVG" ], "Min30": [ "AVG" ], "Hour2": [ "AVG" ], "Day1": [ "AVG" ] }, "threshold": "1" } ], "prodKey": "**********", "prodType": "system", "regionCode": "KR", "temporaryGroup": false, "updateTime": ********** } ], "monitorGroups": [ { "groupDesc": "20241202 API creation test", "groupName": "test", "id": "**********", "monitorGroupItemList": [ { "nrn": "**********", "resourceId": "**********", "resourceName": "**********" } ], "prodKey": "**********", "prodName": "Object Storage", "temporaryGroup": false, "type": "NORMAL" } ], "prodKey": "**********", "prodType": "system", "productName": "Object Storage", "regionCode": "KR", "ruleVersion": "V2", "suspendRuleItems": [], "updateTime": ********** } ], "totalPages": 2, "totalRecords": 4 } ```